/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: KoikeConfigException.java,v 1.3 2006/01/31 17:10:01 rampil Exp $
 */
package org.logical_paradox.koike.core;

/**
 * 小池のコンフィグレーションエラーの際に発生する例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class KoikeConfigException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 4830084519763739733L;
	/**
	 * コンストラクタ
	 */
	public KoikeConfigException() {
		super();
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public KoikeConfigException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public KoikeConfigException(Exception e) {
		super(e);
	}
}
